Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Insight Monitors

create

POST /agent_insight_monitors

Create an Agent Insights monitor for an agent.

Header parameters

Foundry-Features enum required

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

AgentInsights=V1Preview

Query parameters

api-version string required

The API version to use for this operation.

Request Body

The monitor to create.

Content-Type: application/json
agent_name string required

The agent this monitor should analyze.

enabled boolean

Whether scheduled insight generation should be armed. Defaults to false.

run_interval_hours number

Interval between scheduled insight runs, in hours. Defaults to 6.

model_deployment_name string required

The model deployment to use for analyzing traces. Accepts either the deployment name alone or with the connection name as '{connectionName}/modelDeploymentName'.

Responses

The request has succeeded and a new resource has been created as a result.

Headers

Location string required

URL of the created monitor.

Body

Content-Type: application/json
id string required

The monitor identifier.

agent_name string required

The agent this monitor analyzes. There can be only one monitor per agent.

enabled boolean required

Whether scheduled insight generation is armed for the monitor.

run_interval_hours number required

Interval between scheduled insight runs, in hours.

model_deployment_name string required

The model deployment to use for analyzing traces. Accepts either the deployment name alone or with the connection name as '{connectionName}/modelDeploymentName'.

next_scheduled_run_at integer
estimated_cost AgentInsightEstimatedCost

Estimated Agent Insights cost.

amount number required

Estimated cost amount.

currency enum required

Currency for the estimated cost amount. Agent Insights estimates are reported in US dollars.

USD
suspension AgentInsightSuspension | null required

Why the system suspended scheduled generation. Null when the monitor is not suspended.

code string required

Stable, machine-readable suspension category.

message string required

Human-readable description of the suspension.

occurred_at integer required
details object

Additional reason-specific suspension details.

overview AgentInsightsOverview | null required

The effective overview, or null before an overview is available.

content string required

The overview content.

source string | enum required

Identifies where an Agent Insights overview came from.

Any of the following:
string
enum
generateduser_override
updated_at integer required
updated_at integer required

Client error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Request

POST /agent_insight_monitors HTTP/1.1

Response

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026